<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>Поиск ответа на вопрос</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='style.css') }}">
</head>
<body style="font-family: Arial, sans-serif;">
    <h1>Поиск ответа на вопрос</h1>
    <form action="{{ url_for('search') }}" method="post">
        <input type="text" name="query" value="{{ query }}" placeholder="Введите часть вопроса">
        <button type="submit">Поиск</button>
    </form>
    {% if results %}
        <h2>Результаты поиска:</h2>
        <ul>
            {% for test_name, question_id, question in results %}
                <li>
                    <strong>{{' '.join(question.question[0].split(' ')[2:])}}</strong><br>
                    {% for q in question.question[1:] %}
                        <strong>{{q}}</strong><br/>
                    {% endfor %}
                    <ul>
                        {% for answer in question.correct %}
                            <li class="correct">{{ answer }}</li>
                        {% endfor %}
                    </ul>
                </li>
            {% endfor %}
        </ul>
    {% elif query %}
        <p>Ничего не найдено по запросу "{{ query }}"</p>
    {% endif %}
    <a href="{{ url_for('index') }}">Назад к тестам</a>
</body>
</html>
